> For the complete documentation index, see [llms.txt](https://docs.bird.com/taxi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/taxi/connectors/braze-connector/setting-up-personalisation-for-braze.md).

# Setting up personalisation for Braze

Before setting up personalisation in Taxi from Braze, you'll need to [set up personalisation](https://docs.messagebird.com/taxi/Dynamic%20content,%20segmentation%20and%20personalisation/Personalisation/setting-up-personalisation-fields) in your account.

In the Braze field in your Taxi personalisation settings, you can use the Liquid snippets for personalisation. Below are some of the most commonly used attributes:\
\
User ID: #{{ ${user\_id} }}\
First Name: #{{ ${first\_name} }}\
Last Name: #{{ ${last\_name} }}\
Email: #{{ ${email\_address} }}\
Country: #{{ ${country} }}\
Language: #{{ ${language} }}\
City: #{{ ${city} }}

You can also use any custom fields that you've defined in Braze. Braze have created a comprehensive guide to supported and custom personalisation fields [here](https://www.braze.com/docs/user_guide/personalization_and_dynamic_content/liquid/common_liquid_tags/).

Below is what this will look like in Taxi.

![](https://2516523503-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMq0EQG9Ff46ZMsrIBcVn%2Fuploads%2Fgit-blob-503f6234e2f64496c5a77c7dd3eec56b30485dea%2Fbraze%2Bpersonalisation.png?alt=media)

These will become available in rich text fields in the editor.

![](https://2516523503-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMq0EQG9Ff46ZMsrIBcVn%2Fuploads%2Fgit-blob-0426ed91e5375297518f74c151cf827d49c58032%2Fbraze%2Bpersonaliation2.png?alt=media)

You can add as much or as little code here as you like, so it’s possible to use Braze’s conditional code to do things like use a default name:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/taxi/connectors/braze-connector/setting-up-personalisation-for-braze.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
